Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service
Class AbstractAdmin

    java.lang.Object
      org.wso2.wsas.admin.service.AbstractAdmin

Direct Known Subclasses:
  CryptoAdmin, DataServiceAdmin, EJBProviderAdmin, GlobalAdmin, ModuleAdmin, OperationAdmin, Sandesha2Admin, SecurityScenarioConfigAdmin, ServerAdmin, ServiceAdmin, ServiceGroupAdmin, STSAdmin, TransportAdmin, UserAdmin

public abstract class AbstractAdmin
extends java.lang.Object

Parent class for all admin services

See Also:
  `GlobalAdmin`, `ModuleAdmin`, `OperationAdmin`, `ServerAdmin`, `ServiceAdmin`, `ServiceGroupAdmin`, `UserAdmin`

Field Summary
`protected org.apache.axis2.engine.AxisConfiguration` | `axisConfig`
`protected org.apache.axis2.context.ConfigurationContext` | `configCtx`

Constructor Summary
`AbstractAdmin()`

Method Summary
`org.apache.axis2.engine.AxisConfiguration` | `getAxisConfig()`
`org.apache.axis2.context.ConfigurationContext` | `getConfigContext()`
`void` | `init(org.apache.axis2.context.ServiceContext serviceContext)`
`void` | `setAxisConfig(org.apache.axis2.engine.AxisConfiguration axisConfig)`
`void` | `setConfigContext(org.apache.axis2.context.ConfigurationContext configurationContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### axisConfig

    protected org.apache.axis2.engine.AxisConfiguration axisConfig

### configCtx

    protected org.apache.axis2.context.ConfigurationContext configCtx

Constructor Detail

### AbstractAdmin

    public AbstractAdmin()

Method Detail

### init

    public void init(org.apache.axis2.context.ServiceContext serviceContext)

### getAxisConfig

    public org.apache.axis2.engine.AxisConfiguration getAxisConfig()

### setAxisConfig

    public void setAxisConfig(org.apache.axis2.engine.AxisConfiguration axisConfig)

### setConfigContext

    public void setConfigContext(org.apache.axis2.context.ConfigurationContext configurationContext)

### getConfigContext

    public org.apache.axis2.context.ConfigurationContext getConfigContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD